Go to the latest version of this document.

# ``twisted`.`protocols`.`amp`.`String``

class documentation

`class String(Argument): (source)`

Known subclasses: `twisted.protocols.amp.Unicode`, `twisted.protocols.amp._LocalArgument`

Constructor: `String(optional)`

View In Hierarchy

Don't do any conversion at all; just pass through 'str'.

Method | `fromString` | Convert a string to a Python object. Subclasses must implement this.
Method | `toString` | Convert a Python object into a string for passing over the network.

Inherited from `Argument`:

Method | `__init__` | Create an Argument.
Method | `fromBox` | Populate an 'out' dictionary with mapping names to Python values decoded from an 'in' AmpBox mapping strings to string values.
Method | `fromStringProto` | Convert a string to a Python value.
Method | `retrieve` | Retrieve the given key from the given dictionary, removing it if found.
Method | `toBox` | Populate an 'out' AmpBox with strings encoded from an 'in' dictionary mapping names to Python values.
Method | `toStringProto` | Convert a Python object to a string.
Instance Variable | `optional` | Undocumented

def fromString(self, inString): (source)
overrides `twisted.protocols.amp.Argument.fromString`
overridden in `twisted.protocols.amp.Unicode`

Convert a string to a Python object. Subclasses must implement this.

Parameters
inString:`bytes` | the string to convert.

Returns
the decoded value from `inString`

def toString(self, inObject): (source)
overrides `twisted.protocols.amp.Argument.toString`
overridden in `twisted.protocols.amp.Unicode`

Convert a Python object into a string for passing over the network.

Parameters
inObject | an object of the type that this Argument is intended to deal with.

Returns
`bytes` | the wire encoding of inObject